### Function

# GLib SList insert_before

#### Declaration

    GSList*
    g_slist_insert_before (
      GSList* slist,
      GSList* sibling,
      gpointer data
    )

#### Description

Inserts a node before `sibling` containing `data`.

This function is not directly available to language bindings.

#### Parameters

`slist`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

`sibling`

  Type: A list of `gpointer`

  Node to insert `data` before.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Data to put in the newly-inserted node.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The new head of the list.

The data is owned by the called function.